役割・役職削除
DELETE
/roles/{role_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/roles/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/roles/example \ --header 'Authorization: Bearer <token>'役割・役職を削除します。
対象プラン
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”role_id
required
string
役割・役職ID
Responses
Section titled “Responses”削除成功
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "役割・役職IDが 1:管理者 の役割・役職は削除できません。", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "指定された役割・役職に紐付いているスタッフが存在するため、削除できません。", "status": 400}- 指定された役割・役職が存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}